openclipart-openoffice.org cannot be installed in lucid as it wants to remove openoffice

Bug #516771 reported by Grizzly(Francis Smit) on 2010-02-03
34
This bug affects 6 people
Affects Status Importance Assigned to Milestone
openclipart (Debian)
Fix Released
Unknown
openclipart (Ubuntu)
Medium
Chris Cheney
Lucid
Medium
Chris Cheney

Bug Description

Binary package hint: openclipart-openoffice.org

yeah as I said in the summary I can no longer install openclipart-openoffice.org & openclipart as openclipart-openoffice.org conflicts with openoffice when I try to install it synaptic wants to remove openoffice*

I'm running lucid

1). root@pern:~# lsb_release -rd
Description: Ubuntu lucid (development branch)
Release: 10.04

2). root@pern:~# apt-cache policy openclipart-openoffice.org
openclipart-openoffice.org:
  Installed: (none)
  Candidate: 0.18+dfsg-8
  Version table:
     0.18+dfsg-8 0
        500 http://archive.ubuntu.com lucid/universe Packages

3). expected to be able to install

4). synaptic wanted to remove openoffice*

Related branches

NB: I did have this installed before the last sys upgrade pulled it

i can confirm this. it also happen to me. as we all know .. openclipart kinda important for those who work with presentation @ documentation .... hope it can be fix a.s.a.p

Nigel Babu (nigelbabu) wrote :

Thank you for reporting this bug.

openclipart-openoffice.org seems to have been built against an older version of openoffice.org than we have in lucid and is conflicting causing this problem.

Changed in openclipart (Ubuntu):
status: New → Confirmed
Philip Muškovac (yofel) wrote :

This was fixed in debian sid, someone should sync the package.

Changed in openclipart (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Triaged
Philip Muškovac (yofel) on 2010-02-28
summary: openclipart-openoffice.org cannot be istalled in lucid as it wants to
- pull the rest of openoffice
+ remove openoffice
summary: - openclipart-openoffice.org cannot be istalled in lucid as it wants to
+ openclipart-openoffice.org cannot be installed in lucid as it wants to
remove openoffice
tags: added: lucid
tags: added: regression-potential
Changed in openclipart (Ubuntu Lucid):
assignee: nobody → Canonical Desktop Team (canonical-desktop-team)
Changed in openclipart (Ubuntu Lucid):
assignee: Canonical Desktop Team (canonical-desktop-team) → Chris Cheney (ccheney)
Chris Cheney (ccheney) on 2010-03-22
Changed in openclipart (Ubuntu Lucid):
milestone: none → ubuntu-10.04-beta-2
Chris Cheney (ccheney) wrote :

Bug 529625 is a sync bug for the new version but openclipart does not build on lucid for some reason. It appears to be a problem with inkscape.

Chris Cheney (ccheney) wrote :

I forgot to note above that even the current version of openclipart does not build in lucid so there is definitely something wrong with the packages used to build it and it appears from the build log that the package that is at fault is inkscape.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openclipart - 0.18+dfsg-9ubuntu1

---------------
openclipart (0.18+dfsg-9ubuntu1) lucid; urgency=low

  * Merge from debian testing. Remaining changes:
    - Skip office/telephone/mobile_phone_01.svg as it appears to be buggy and
      causes inkscape to get caught in an infinite loop.
      Closes LP: #516771, #529625
    - Use inkscape flag -z "Do not use X server"
 -- Chris Cheney <email address hidden> Tue, 23 Mar 2010 16:30:00 -0500

Changed in openclipart (Ubuntu Lucid):
status: Triaged → Fix Released
Changed in openclipart (Debian):
status: Unknown → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.